# eric7.WebBrowser.FeaturePermissions.FeaturePermissionsDialog

Module implementing the feature permission dialog.

### Global Attributes

None

### Classes

FeaturePermissionsDialog | Class implementing the feature permission dialog.

### Functions

None

## FeaturePermissionsDialog

Class implementing the feature permission dialog.

### Derived from

QDialog, Ui_FeaturePermissionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

FeaturePermissionsDialog | Constructor
__currentTabChanged | Private slot handling changes of the selected tab.
__itemSelectionChanged | Private slot handling changes in the current list of selected items.
__updateButtons | Private method to update the buttons.
getData | Public method to retrieve the dialog contents.
on_removeAllButton_clicked | Private slot to remove all entries.
on_removeButton_clicked | Private slot to remove selected entries.

### Static Methods

None

#### FeaturePermissionsDialog (Constructor)

FeaturePermissionsDialog(featurePermissions, parent=None)

Constructor

featurePermissions (dict of dict of list)
  dictionary with remembered feature permissions
parent (QWidget)
  reference to the parent widget

#### FeaturePermissionsDialog.__currentTabChanged

__currentTabChanged(index)

Private slot handling changes of the selected tab.

index (int)
  index of the current tab

#### FeaturePermissionsDialog.__itemSelectionChanged

__itemSelectionChanged()

Private slot handling changes in the current list of selected items.

#### FeaturePermissionsDialog.__updateButtons

__updateButtons()

Private method to update the buttons.

#### FeaturePermissionsDialog.getData

getData()

Public method to retrieve the dialog contents.

Return:
  new feature permission settings

Return Type:
  dict of dict of list

#### FeaturePermissionsDialog.on_removeAllButton_clicked

on_removeAllButton_clicked()

Private slot to remove all entries.

#### FeaturePermissionsDialog.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove selected entries.

Up